Description

Dear Mr. Murphy,

I very much enjoy using textcritical on mobile webbrowser on my phone. Indeed, the texts were formatted perfectly in the mobile web

browser. Unfortunately, when I click on a word for morphological analysis, the pop menu often become too wide and is not shown

fully, nor is it scrollable, It would improve the mobile browsing experience very much if the pop up menu could be formatted as the

texts for the small screen.

Best Regards

Jiang

History

#1 - 04/29/2019 08:31 PM - Luke Murphey

- Target version set to 3.1

#2 - 06/12/2019 09:17 PM - Luke Murphey

Options:

1. Use CSS to style the modal differently

2. Have two modals, only show one on mobile devices

3. Use an entirely different library

#3 - 06/12/2019 09:19 PM - Luke Murphey

See:

https://stackoverflow.com/questions/10437151/twitter-bootstrap-modal-on-mobile-devices

https://codepen.io/keaukraine/post/ux-problems-with-solution-of-bootstrap-modals-on-mobile-phones

#4 - 06/20/2019 11:59 PM - Luke Murphey

Fullscreen modal examples:

https://joaopereirawd.github.io/animatedModal.js/

https://www.cssscript.com/demo/minimal-fullscreen-modal-library-pure-css-modal-css/

#5 - 06/28/2019 05:29 AM - Luke Murphey

To replace the dialogs I need to update:

open_dialog

set_extra_options

set_dialog_content
https://stackoverflow.com/questions/10437151/twitter-bootstrap-modal-on-mobile-devices
https://codepen.io/keaukraine/post/ux-problems-with-solution-of-bootstrap-modals-on-mobile-phones
#6 - 06/28/2019 06:15 AM - Luke Murphey

I am not currently using the riot tag for most of the dialogs (just the about dialog).

#7 - 09/21/2019 04:36 AM - Luke Murphey

- Target version changed from 3.1 to Plus_2

#8 - 03/20/2020 12:50 AM - Luke Murphey

- Target version changed from Plus_2 to 4.0

#9 - 04/03/2020 02:13 AM - Luke Murphey

I'm thinking that the dialog show possibly show as a popover that appears on either right-click or a left-click since this makes seeing the definitions

much easier.

#10 - 05/04/2020 01:51 AM - Luke Murphey

This is going to be addressed in the UI redesign: https://lukemurphey.net/issues/2674

#11 - 05/04/2020 01:52 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
